• ДОбрый день, подскажите что случилось, нажав на кнопку «Свежая версия WordPress доступна для обновления» появилась ошибка, сайт не функционирует
    Fatal error: Cannot redeclare get_shortcut_link() (previously declared in /var/www/sektor-it/data/www/sektor-it.ru/wp-includes/link-template.php:2906) in /var/www/sektor-it/data/www/sektor-it.ru/wp-includes/deprecated.php on line 3920

    Страница, с которой нужна помощь: [войдите, чтобы увидеть ссылку]

Просмотр 11 ответов — с 1 по 11 (всего 11)
  • Модератор SeVlad

    (@sevlad)

    wp.me/3YHjQ

    У Вас что-то вызывает конфликт с шорткодами.
    Отключите плагины для них и попробуйте ещё раз.
    Не поможет — смените тему на дефолтную и отключите все плагины.

    У Вас вообще какая версия ВП? Что-то в последних я в link-template.php не вижу этой функции.

    я в этом дела ничего не понимаю, можно мне доступным языком объяснить)))) или как то созвониться?

    Модератор SeVlad

    (@sevlad)

    wp.me/3YHjQ

    я в этом дела ничего не понимаю, можно мне доступным языком объяснить)))) или как то созвониться?

    Вы не понимаете что значит «Отключите плагины»?
    Тогда Вам с деньгами к платным специалистам.

    при попытке нажатия любой кнопки выскакивает данная ошибка.

    Fatal error: Cannot redeclare class acf_field_repeater in /var/www/sektor-it/data/www/sektor-it.ru/wp-content/plugins/acf-repeater/includes/4-0/acf-repeater-field.php on line 1118

    Совершенно очевидно что виноват этот плагин acf-repeater. Деактивируйте или удалите его через FTP или менеджер файлов хостинга.

    Спасибо!!!

    Модератор SeVlad

    (@sevlad)

    wp.me/3YHjQ

    Совершенно очевидно

    А в старпосте совершенно другая ошибка…

    А в старпосте совершенно другая ошибка…

    А эта

    Fatal error:…… plugins/acf-repeater/includes/4-0/acf-repeater-field.php on line 1118

    Выводилась при попытке перейти на сайт-пациент. Но так как сайт сейчас заработал — значит ТС удалось деактивировать глючный плагин.

    • Ответ изменён 1 неделя, 2 дн. назад пользователем  Spectrum.
    Модератор Sergey Biryukov

    (@sergeybiryukov)

    Live and Learn

    У Вас что-то вызывает конфликт с шорткодами.

    Просто обновились не все файлы, функция get_shortcut_link() никак не связана с шорткодами.

    У Вас вообще какая версия ВП? Что-то в последних я в link-template.php не вижу этой функции.

    Функция была перемещена из link-template.php в deprecated.php. Второй обновился, первый — нет, отсюда и ошибка.

    Модератор SeVlad

    (@sevlad)

    wp.me/3YHjQ

    функция get_shortcut_link() никак не связана с шорткодами.

    Точно.. вот я слепой 😉

    Функция была перемещена из link-template.php в deprecated.php. Второй обновился, первый — нет, отсюда и ошибка.

    Ааа. вотоночёоказывается.. Спс. понятно.

Просмотр 11 ответов — с 1 по 11 (всего 11)